// Request parameters
$api_key = "PCW45-12345-12345-1234X";
$to = "07500123456";
$from = "Example.com";
$message = "Hello from [from]. Your security code is [otp]. It will expire in [expiry] minutes. Do not share this code.";
$otp_length = 6;
$expiry = 5;

// Prepare request and encode user-entered parameters with %xx encoding
$request_url = "https://ws.postcoder.com/pcw/$api_key/otp/send";

$data = array("to" => $to, "from" => $from, "message" => $message, "otplength" => $otp_length, "expiry" => $expiry);

$context = stream_context_create([
  "http" => [
    "header"  => "Content-type: application/x-www-form-urlencoded\r\n",
    "method"  => "POST",
    "content" => http_build_query($data),
    "ignore_errors" => true
  ]
]);

// Make request to send OTP via SMS
$result = file_get_contents($request_url, false, $context);

// Get ID to use with the otp/verify endpoint
$status_line = $http_response_header[0];
preg_match("{HTTP\/\S*\s(\d{3})}", $status_line, $match);
$status_code = $match[1];

if ($status_code == 200) {
    $json = json_decode($result);
    echo($json->id);
} else {
    echo("Request error");
}